> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Esims List

GET https://api.simjuno.com/v1/admin/esims

List all ordered eSIMs (purchases and top-ups)

Reference: https://docs.simjuno.com/api-reference/admin/esims-list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: SimJuno API
  version: 1.0.0
paths:
  /admin/esims:
    get:
      operationId: esims-list
      summary: Esims List
      description: List all ordered eSIMs (purchases and top-ups)
      tags:
        - admin
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/AdminEsimsGetParametersType'
        - name: esimStatus
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/AdminEsimsGetParametersEsimStatus'
        - name: paymentStatus
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/AdminEsimsGetParametersPaymentStatus'
        - name: x-api-key
          in: header
          description: API key generated from the dashboard (Settings → API Keys).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/admin_esimsList_Response_200'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
servers:
  - url: https://api.simjuno.com/v1
    description: https://api.simjuno.com/v1
components:
  schemas:
    AdminEsimsGetParametersType:
      type: string
      enum:
        - purchase
        - topup
      title: AdminEsimsGetParametersType
    AdminEsimsGetParametersEsimStatus:
      type: string
      enum:
        - GOT_RESOURCE
        - IN_USE
        - USED_UP
        - USED_EXPIRED
        - UNUSED_EXPIRED
        - CANCEL
        - REVOKED
      title: AdminEsimsGetParametersEsimStatus
    AdminEsimsGetParametersPaymentStatus:
      type: string
      enum:
        - pending
        - completed
        - failed
      title: AdminEsimsGetParametersPaymentStatus
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsType:
      type: string
      enum:
        - purchase
        - topup
      title: AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsType
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsStatus:
      type: string
      enum:
        - pending
        - completed
        - failed
      title: AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsStatus
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsEsimStatus:
      type: string
      enum:
        - GOT_RESOURCE
        - IN_USE
        - USED_UP
        - USED_EXPIRED
        - UNUSED_EXPIRED
        - CANCEL
        - REVOKED
      title: AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsEsimStatus
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefundStatus:
      type: string
      enum:
        - pending
        - succeeded
        - failed
      title: >-
        AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefundStatus
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefundRefundType:
      type: string
      enum:
        - to_balance
        - to_source
      title: >-
        AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefundRefundType
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefund:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: >-
            #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefundStatus
        refund_type:
          $ref: >-
            #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefundRefundType
        awaiting_whitelist:
          type: boolean
        whitelist_csv:
          type:
            - string
            - 'null'
        provider_refund_id:
          type:
            - string
            - 'null'
      required:
        - id
        - status
        - refund_type
        - awaiting_whitelist
        - whitelist_csv
        - provider_refund_id
      title: AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefund
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsUserRole:
      type: string
      enum:
        - user
        - writer
        - moderator
        - admin
        - super_admin
      title: AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsUserRole
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsUser:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        username:
          type:
            - string
            - 'null'
        email:
          type: string
        image:
          type:
            - string
            - 'null'
        role:
          $ref: >-
            #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsUserRole
        balance:
          type: number
          format: double
        createdAt:
          type: string
      required:
        - id
        - name
        - username
        - email
        - image
        - role
        - balance
        - createdAt
      title: AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsUser
    AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItems:
      type: object
      properties:
        purchaseId:
          type: string
          format: uuid
        transactionId:
          type: string
          format: uuid
        esimId:
          type: string
          format: uuid
        type:
          $ref: >-
            #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsType
        status:
          $ref: >-
            #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsStatus
        esimStatus:
          oneOf:
            - $ref: >-
                #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsEsimStatus
            - type: 'null'
        esimName:
          type: string
        slug:
          type: string
        location_logo:
          type:
            - string
            - 'null'
        iccid:
          type:
            - string
            - 'null'
        orderNo:
          type:
            - string
            - 'null'
        amount:
          type: number
          format: double
        created_at:
          type: string
        payment_method:
          type: string
        pending_refund:
          oneOf:
            - $ref: >-
                #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsPendingRefund
            - type: 'null'
        user:
          $ref: >-
            #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItemsUser
      required:
        - purchaseId
        - transactionId
        - esimId
        - type
        - status
        - esimStatus
        - esimName
        - slug
        - location_logo
        - iccid
        - orderNo
        - amount
        - created_at
        - payment_method
        - pending_refund
        - user
      title: AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItems
    AdminEsimsGetResponsesContentApplicationJsonSchemaPagination:
      type: object
      properties:
        total:
          type: number
          format: double
        page:
          type: number
          format: double
        limit:
          type: number
          format: double
        totalPages:
          type: number
          format: double
      required:
        - total
        - page
        - limit
        - totalPages
      title: AdminEsimsGetResponsesContentApplicationJsonSchemaPagination
    admin_esimsList_Response_200:
      type: object
      properties:
        rows:
          type: array
          items:
            $ref: >-
              #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaRowsItems
        pagination:
          $ref: >-
            #/components/schemas/AdminEsimsGetResponsesContentApplicationJsonSchemaPagination
      required:
        - rows
        - pagination
      title: admin_esimsList_Response_200
    ErrorBadRequestIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorBadRequestIssuesItems
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorBadRequestIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.BAD_REQUEST
    ErrorUnauthorizedIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorUnauthorizedIssuesItems
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorUnauthorizedIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.UNAUTHORIZED
    ErrorForbiddenIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorForbiddenIssuesItems
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorForbiddenIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.FORBIDDEN
    ErrorNotFoundIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorNotFoundIssuesItems
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorNotFoundIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.NOT_FOUND
    ErrorInternalServerErrorIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorInternalServerErrorIssuesItems
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorInternalServerErrorIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.INTERNAL_SERVER_ERROR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key generated from the dashboard (Settings → API Keys).

```

## Examples



**Response**

```json
{
  "rows": [
    {
      "purchaseId": "string",
      "transactionId": "string",
      "esimId": "string",
      "type": "purchase",
      "status": "pending",
      "esimStatus": "GOT_RESOURCE",
      "esimName": "string",
      "slug": "string",
      "location_logo": "string",
      "iccid": "string",
      "orderNo": "string",
      "amount": 1.1,
      "created_at": "string",
      "payment_method": "string",
      "pending_refund": {
        "id": "string",
        "status": "pending",
        "refund_type": "to_balance",
        "awaiting_whitelist": true,
        "whitelist_csv": "string",
        "provider_refund_id": "string"
      },
      "user": {
        "id": "string",
        "name": "string",
        "username": "string",
        "email": "string",
        "image": "string",
        "role": "user",
        "balance": 1.1,
        "createdAt": "string"
      }
    }
  ],
  "pagination": {
    "total": 1.1,
    "page": 1.1,
    "limit": 1.1,
    "totalPages": 1.1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/admin/esims"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/admin/esims';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/admin/esims"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/admin/esims")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.simjuno.com/v1/admin/esims")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.simjuno.com/v1/admin/esims', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/admin/esims");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/admin/esims")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```